<Project Sdk="Microsoft.NET.Sdk.Web">
    <Import Project="..\Versions.props" />

    <PropertyGroup>
        <publish>Sqler</publish>
        <docker>sqler</docker>
    </PropertyGroup>

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
        <PackageReference Include="System.Reflection.Emit" Version="4.7.0" />
        <PackageReference Include="Vit.Excel" Version="2.2.19" />
        <PackageReference Include="Vit.WebHost" Version="6.3.0" />
        <PackageReference Include="Vit.Db.DbMng" Version="3.0.2" />
        <PackageReference Include="Sers.Core" Version="2.2.0" />
        <PackageReference Include="Vitorm.File" Version="2.2.0" />
        <PackageReference Include="Vitorm.MySql" Version="2.2.0" />
        <PackageReference Include="Vitorm.Sqlite" Version="2.2.0" />
        <PackageReference Include="Vitorm.SqlServer" Version="2.2.0" />
        <PackageReference Include="Vitorm.EntityGenerate" Version="2.2.0" />
    </ItemGroup>


    <ItemGroup>
        <ProjectReference Include="..\Vit.AutoTemp\Vit.AutoTemp.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Content Update="appsettings.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>

        <Content Update="contentTypeMap.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>

        <Content Update="Sqler_DataEditor_schema.ControllerConfig.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>

        <Content Update="sqler.SqlVersion.table.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>

        <Content Update="Sqler_DefaultMenu.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>

    </ItemGroup>


    <ItemGroup>

        <Content Update="Data\sqler.json">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>

        <None Update="Data\MySqlBackup\readme.txt">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
        <None Update="Data\SqlServerBackup\readme.txt">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
        <None Update="Data\Temp\readme.txt">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </None>
    </ItemGroup>

</Project>
